module Types.Values
  ( ImageConversionSettings(..)
  , TemplatePart(..)
  , Template(..)
  ) where

import Data.Text (Text)
import Language.Haskell.TH.Syntax (Lift)

data ImageConversionSettings = ResizeToWidth Int
  deriving (Show, Lift)

data TemplatePart = Literal Text
                  | KeyValue Text
  deriving (Show, Lift)

data Template = TemplateParts [TemplatePart]
  deriving (Show, Lift)
